## org.hibernate.annotations
Annotation Type DynamicInsert

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface DynamicInsert

For inserting, should this entity use dynamic sql generation where only non-null columns get referenced in the prepared sql statement?

Optional Element Summary
`boolean` `value`

### value

    public abstract boolean value

  Default:
    true

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.